package com.ecnu.platform.cwp

import com.cwp.ioservice.impl.CwpDoServiceImpl
import com.ecnu.alg.pojo.port.datas.AlgCwpInputData
import com.ecnu.alg.pojo.port.datas.AlgCwpResultData
import com.ecnu.alg.pojo.port.results.AlgReMessage
import com.three.data_api.dm.annos.BizApiMethod
import com.three.data_api.dm.annos.BizRequestPm
import com.three.data_api.dm.constants.ThreeConstant

class CwpService {

    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "执行CWP算法")
    AlgCwpResultData doPlanCwp(@BizRequestPm(key = "body", nullable = false, desc = "CWP算法输入数据") AlgCwpInputData algCwpInputData) {
        AlgCwpResultData algCwpResultData = new AlgCwpResultData()
        CwpDoServiceImpl cwpDoService = new CwpDoServiceImpl();
        cwpDoService.doPlanCwp(algCwpInputData, algCwpResultData)
        AlgReMessage algReMessage = algCwpResultData.getAlgReMessage()
        algReMessage.setVersion("22222")
        return algCwpResultData
    }
}
