package com.ecnu.platform.port

import com.three.data_api.dm.annos.BizApiMethod
import com.three.data_api.dm.annos.BizRequestPm
import com.three.data_api.dm.constants.ThreeConstant

class VesselViewService {

    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "获取船舶的侧视图")
    Map getVesselZoneViews(@BizRequestPm(key = "body.viewTenses", nullable = false, desc = "视图时态") List<String> viewTenses,
                           @BizRequestPm(key = "body.zone", nullable = false, desc = "载具访问编号") String zone,
                           @BizRequestPm(key = "body.cvLevel", nullable = false, desc = "载具访问等级") String cvLevel,
                           @BizRequestPm(key = "body.hbrCvGkey") String hbrCvGkey,
                           @BizRequestPm(key = "body.tmlCvGkey") String tmlCvGkey) throws Exception {
        Map<String, Object> result = new HashMap<>()

        return result
    }

    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "获取船舶的贝位视图")
    Map getVesselBaysViews(@BizRequestPm(key = "body.viewTenses", nullable = false, desc = "视图时态") List<String> viewTenses,
                           @BizRequestPm(key = "body.zone", nullable = false, desc = "载具访问编号") String zone,
                           @BizRequestPm(key = "body.sBayNos", nullable = false, desc = "贝位号列表(小贝位)") List<String> sBayNos,
                           @BizRequestPm(key = "body.cvLevel", nullable = false, desc = "载具访问等级") String cvLevel,
                           @BizRequestPm(key = "body.hbrCvGkey") String hbrCvGkey,
                           @BizRequestPm(key = "body.tmlCvGkey") String tmlCvGkey) throws Exception {
        Map<String, Object> result = new HashMap<>()

        return result
    }
}
